# Get

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/vpc-endpoints/{vpc_endpoint_id}`

Gets a VPC endpoint configuration, which represents
 a [VPC endpoint](https://docs.aws.amazon.com/vpc/latest/privatelink/concepts.html)
 object in AWS used to communicate privately with <Databricks> over
 [AWS PrivateLink](https://aws.amazon.com/privatelink).

API scopes: networking

Clouds: AWS, GCP

## Path parameters

- `vpc_endpoint_id` (string, optional)
  Databricks VPC endpoint ID.
- `account_id` (string, optional)

## Returns

Returns the VpcEndpoint object.

## Response

```json
{
  "vpc_endpoint_id": "string",
  "account_id": "string",
  "vpc_endpoint_name": "string",
  "aws_vpc_endpoint_id": "string",
  "aws_endpoint_service_id": "string",
  "use_case": "string",
  "region": "string",
  "aws_account_id": "string",
  "state": "string",
  "gcp_vpc_endpoint_info": {
    "psc_connection_id": "string",
    "project_id": "string",
    "psc_endpoint_name": "string",
    "endpoint_region": "string",
    "service_attachment_id": "string"
  }
}
```

